org.apache.pdfbox.contentstream.operator.color

## Class SetNonStrokingColor

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.color.SetColor
    - - org.apache.pdfbox.contentstream.operator.color.SetNonStrokingColor

Direct Known Subclasses:
  SetNonStrokingColorN, SetNonStrokingDeviceCMYKColor, SetNonStrokingDeviceGrayColor, SetNonStrokingDeviceRGBColor

    public class SetNonStrokingColor
    extends SetColor

sc: Sets the colour to use for non-stroking operations.

Author:
  John Hewson

### Field Summary

### Fields inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`context`

### Constructor Summary

Constructors
Constructor and Description
`SetNonStrokingColor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PDColor` `getColor()` Returns the non-stroking color.
`protected PDColorSpace` `getColorSpace()` Returns the non-stroking color space.
`String` `getName()` Returns the name of this operator, e.g.
`protected void` `setColor(PDColor color)` Sets the non-stroking color.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.color.SetColor

`process`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetNonStrokingColor

    public SetNonStrokingColor()

### Method Detail

#### getColor

    protected PDColor getColor()

Returns the non-stroking color.

Specified by:
  `getColor` in class `SetColor`
Returns:
  The non-stroking color.

#### setColor

    protected void setColor(PDColor color)

Sets the non-stroking color.

Specified by:
  `setColor` in class `SetColor`
Parameters:
  `color` - The new non-stroking color.

#### getColorSpace

    protected PDColorSpace getColorSpace()

Returns the non-stroking color space.

Specified by:
  `getColorSpace` in class `SetColor`
Returns:
  The non-stroking color space.

#### getName

    public String getName()

Description copied from class: `OperatorProcessor`
Returns the name of this operator, e.g. "BI".

Specified by:
  `getName` in class `OperatorProcessor`